<section class="bg-white container filters">
    <h2 class="filter-title">Filtres</h2>
    <div class="text-center toggle-button">
        <button onclick="AsalaeFilter.toggleFilters(this)" type="button" class="btn-link" title="Déplier les filtres">
            <i class="fa fa-angle-double-down text-muted fa-2x" aria-hidden="true"></i>
            <span class="sr-only">Déplier les filtres</span>
        </button>
    </div>
    <div class="filters hidden-section" style="display: none">
        {{ form_start(filter_templates_form, {
            'method': 'GET',
            'attr': {
                'id': result_set.id() ~ '-filter-form',
                'novalidate': 'novalidate',
                'class': 'filters-section-form',
                'data-filter-form': 'filter-form'
            }})
        }}
        <fieldset class="filter-templates hide" disabled="disabled">
            {% for field in filter_templates_form %}
                {{ form_row(
                    field,
                    {
                        'widget_attr': {'name': field.vars.name},
                        'row_attr': {'data-name': field.vars.name}
                    }
                ) }}
            {% endfor %}
        </fieldset>
        <input type="hidden" class="form-control configuration-filter" value="{{ base64 }}">
        <div class="select-filter-container">
            <div class="form-group select">
                <label class="control-label" for="{{ result_set.id() }}-select">Ajouter un critère de recherche</label>
                <div class="form-group-wrapper">
                    <select id="{{ result_set.id() }}-select" class="form-control filter">
                        <option value="">--- Sélectionner un critère de recherche ---</option>
                        {{ options_select_filter|raw }}
                    </select>
                </div>
            </div>
        </div>
        <div class="filter-container">
            {% for filter in current_query_filters %}
                <div class="hide" data-field="{{ filter.field }}" data-value="{{ filter.value|json_encode }}"></div>
            {% endfor %}
        </div>
        <button type="submit" class="btn btn-primary hide">Hidden submit</button>
        {{ form_end(filter_templates_form) }}
        <div class="btn-group">
            <button
                class="btn btn-primary"
                onclick="$('#{{ result_set.id() ~ '-filter-form' }} button[type=submit]').click()"
            >
                <i class="fa fa-filter fa-space" aria-hidden="true"></i>Filtrer
            </button>

            {% if (filters_saves|length != 0) %}
                <div class="dropdown">
                    <button
                        id="btn-list-saved-filters"
                        class="btn btn-default m-0"
                        type="button"
                        data-toggle="dropdown"
                        aria-expanded="false"
                        aria-haspopup="true"
                    >
                        <i class="fa fa-list fa-space" aria-hidden="true"></i>
                        Sauvegardes
                    </button>
                    <div class="dropdown-menu filters-saves-table-dropdown" aria-labelledby="btn-list-saved-filters">
                        <table id="{{ result_set.id() ~ '-save-filters-table' }}" class="table table-striped table-hover m-0 filters-saves-table">
                            <tbody>
                            {% for filters_save in filters_saves %}
                                <tr data-id="{{ filters_save.id }}">
                                    <td>
                                        <a
                                            href="{{ app.request.pathinfo }}?{{ filters_save.filters }}"
                                            title="Utiliser le filtre {{ filters_save.name }}"
                                            data-toggle="tooltip"
                                        >
                                            {{ filters_save.name }}
                                        </a>
                                    </td>
                                    <td class="action">
                                        <button
                                            type="button"
                                            data-delete="filter"
                                            data-confirm="Êtes-vous sûr de vouloir supprimer ce filtre ?"
                                            data-url="{{ url('public_filters_delete', {id: filters_save.id}) }}"
                                            title="Supprimer le filtre {{ filters_save.name }}"
                                            data-toggle="tooltip"
                                            data-table="#{{ result_set.id() ~ '-save-filters-table' }}"
                                            class="btn-link btn-delete-filter"
                                        ><i class="fa fa-trash text-danger" aria-hidden="true"></i>
                                            <span class="sr-only">Supprimer {{ filters_save.name }}</span>
                                        </button>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            {% endif %}
            <div class="dropdown">
                <button
                    id="btn-save-filters"
                    class="btn btn-default"
                    type="button"
                    data-toggle="dropdown"
                    aria-expanded="false"
                    aria-haspopup="true"
                >
                    <i class="fa fa-floppy-o fa-space" aria-hidden="true"></i>
                    Sauvegarder
                </button>
                <div class="dropdown-menu" aria-labelledby="btn-save-filters">
                    {{ form_start(
                        save_filters_form,
                        {
                            'attr': {
                                'class': 'filter-popup'
                            },
                        }
                    ) }}
                    {{ form_row(save_filters_form.name) }}
                    <button type="submit" class="btn btn-primary btn-small">
                        <i class="fa fa-floppy-o" aria-hidden="true"></i>
                        <span>Enregistrer</span>
                    </button>
                    {{ form_end(save_filters_form) }}
                </div>
            </div>
        </div>
        {% if (filters_saves|length != 0) %}
        <div>
            <hr>
            <div class="btn-group fast-access-filters">
                {% for filters_save in filters_saves %}
                    <a
                        href="{{ app.request.pathinfo }}?{{ filters_save.filters }}"
                        title="Utiliser le filtre {{ filters_save.name }}"
                        data-toggle="tooltip"
                        class="btn btn-default"
                    >
                        <i class="fa fa-filter" aria-hidden="true"></i>
                        {{ filters_save.name }}
                    </a>
                {% endfor %}
            </div>
        </div>
        {% endif %}
    </div>
</section>
